
#include <alyson.hpp>
#include <raylib.h>
#include <iostream>
#include <string>
#include <rlyson.h>

#define WINDOW_TITLE "Alyson Engine"

int main(int argc, char *argv[]) {

    SetTargetFPS(60);

    InitWindow(900, 500, WINDOW_TITLE " -- 900x500");

    
    Texture2D logo = LoadTexture(MANGLE_RES_PATH("Raylib_logo.png"));

    std::cout << "alyson: init" << std::endl;

    int g = init();
    if(g != 0) {
        std::cout << "alyson: init failed with error code " << g << std::endl;
        return g;
    }

    while (!WindowShouldClose()) {
        if (IsWindowResized()) {
            SetWindowTitle((std::string(WINDOW_TITLE) + " -- " + std::to_string(GetScreenWidth()) + "x" + std::to_string(GetScreenHeight())).c_str());
        }

        BeginDrawing();
            DrawTexture(logo, GetScreenWidth() / 2 - logo.width / 2, GetScreenHeight() / 2 - logo.height / 2, WHITE);
            DrawTextFull(
                GetFontDefault(),
                WINDOW_TITLE, 
                { GetScreenWidth() / 2.f, GetScreenHeight() - 60.f }, 
                TEXT_ORIENTATION_CENTER, 0.f,
                40.f, 5.f, 
                0.f, BLACK
            );

            ClearBackground(RAYWHITE);
        EndDrawing();
    }

    UnloadTexture(logo);
    CloseWindow();
    return 0;
}
