
#include <rlyson.h>

#include "raylib.h"
#include "raymath.h"

void DrawTextFull(
    Font                font,
    const char          *text,
    Vector2             origin,
    text_orientation_t  orientation, 
    float               rotation,
    float               fontSize, 
    float               spacing, 
    float               lineSpacing, 
    Color               tint
    ) 
{
    Vector2 textSize = MeasureTextEx(font, text, fontSize, spacing);

    DrawCircleV(origin, 10, RED);

    Vector2 pos = origin;
    origin = (Vector2){0,0};
    
    switch (orientation) {
    case TEXT_ORIENTATION_LEFT:
        origin.x += textSize.x;
        break;
    case TEXT_ORIENTATION_RIGHT:
        break;
    case TEXT_ORIENTATION_CENTER:
        origin.x += (textSize.x / 2);
        break;
    default:
        break;
    }

    origin.y += textSize.y / 2;

    DrawCircleV(Vector2Add(origin, pos), 10, DARKGREEN);

    SetTextLineSpacing(lineSpacing);

    DrawTextPro(font, text, pos, origin, rotation, fontSize, spacing, tint);
}
